package product

import (
	"github.com/google/wire"
	"github.guxuan/haibei/internal/mods/product/api"
	"github.guxuan/haibei/internal/mods/product/biz"
	"github.guxuan/haibei/internal/mods/product/dal"
)

var Set = wire.NewSet(
	wire.Struct(new(Product), "*"),
	wire.Struct(new(dal.Product), "*"),
	wire.Struct(new(biz.Product), "*"),
	wire.Struct(new(api.Product), "*"),
	wire.Struct(new(dal.ProductCategory), "*"),
	wire.Struct(new(biz.ProductCategory), "*"),
	wire.Struct(new(api.ProductCategory), "*"),
)
